Bug 680488 - Review Request: erlang-basho_stats - Basic Erlang statistics library
Review Request: erlang-basho_stats - Basic Erlang statistics library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 652598
  Show dependency treegraph
 
Reported: 2011-02-25 12:42 EST by Peter Lemenkov
Modified: 2011-03-28 13:26 EDT (History)
3 users (show)

See Also:
Fixed In Version: erlang-basho_stats-1.0.1-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-13 12:13:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lakshminaras2002: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2011-02-25 12:42:38 EST
Spec URL: http://peter.fedorapeople.org/erlang-basho_stats.spec
SRPM URL: http://peter.fedorapeople.org/erlang-basho_stats-1.0.1-1.fc15.src.rpm
Description: Basic Erlang statistics library.

This is one of the requirements for the Riak.
Comment 1 Narasimhan 2011-03-13 09:30:47 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.
rpmlint  -i *.rpm erlang-basho_stats.spec 
erlang-basho_stats.i686: E: explicit-lib-dependency erlang-stdlib
You must let rpm find the library dependencies by itself. Do not put unneeded
explicit Requires: tags. (False positive)

erlang-basho_stats.i686: E: no-binary
The package should be of the noarch architecture because it doesn't contain
any binaries. They are arch independent by erlang vm searches in %{libdir} #652585

erlang-basho_stats.i686: W: only-non-binary-in-usr-lib
There are only non binary files in /usr/lib so they should be in /usr/share.

erlang-basho_stats.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

erlang-basho_stats.src: W: invalid-url Source0: basho-basho_stats-basho_stats-1.0.1-0-gfbb957b.tar.gz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

erlang-basho_stats.spec: W: invalid-url Source0: basho-basho_stats-basho_stats-1.0.1-0-gfbb957b.tar.gz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

2 packages and 1 specfiles checked; 2 errors, 4 warnings.


[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK, Apache software license v2.0
        No prebuilt external bits - OK, there is one(rebar) in the sources but is not used or distributed
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK,  not provided as the current source url might change (#652585)
        Buildroot is ignored - present anyway. OK
        %clean is ignored - present anyway. OK
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, none provided.

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
Licensed with Apache software license version 2. All source files (.erl) have license headers.
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
No license text included with the package.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

md5sum basho-basho_stats-basho_stats-1.0.1-0-gfbb957b.tar.gz 
7e819c11daf275d07b5d3413619fa480  basho-basho_stats-basho_stats-1.0.1-0-gfbb957b.tar.gz

md5sum erlang-basho_stats-1.0.1-1.fc15.src/basho-basho_stats-basho_stats-1.0.1-0-gfbb957b.tar.gz 
7e819c11daf275d07b5d3413619fa480  erlang-basho_stats-1.0.1-1.fc15.src/basho-basho_stats-basho_stats-1.0.1-0-gfbb957b.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64 and i686
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
None listed.
[+]MUST: All build dependencies must be listed in BuildRequires.
[NA]MUST: The spec file MUST handle locales properly using the %find_lang macro
No locale files.
[NA]MUST: Packages stores shared library files must call ldconfig in %post and %postun.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovdes
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
The beam files are not marked as executable.
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[NA]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
Checked with rpmquery --list
[+]MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[-]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Installs fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

APPROVED.
Comment 2 Peter Lemenkov 2011-03-13 09:36:29 EDT
Thanks a lot!
Comment 3 Peter Lemenkov 2011-03-13 09:38:01 EDT
New Package SCM Request
=======================
Package Name: erlang-basho_stats
Short Description: Basic Erlang statistics library
Owners: peter
Branches: f14 f15 el6
InitialCC:
Comment 4 Jason Tibbitts 2011-03-13 11:27:22 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2011-03-13 12:12:02 EDT
erlang-basho_stats-1.0.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/erlang-basho_stats-1.0.1-1.fc14
Comment 6 Fedora Update System 2011-03-13 12:12:09 EDT
erlang-basho_stats-1.0.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/erlang-basho_stats-1.0.1-1.fc15
Comment 7 Fedora Update System 2011-03-13 12:12:16 EDT
erlang-basho_stats-1.0.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/erlang-basho_stats-1.0.1-1.el6
Comment 8 Fedora Update System 2011-03-17 23:52:18 EDT
erlang-basho_stats-1.0.1-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 9 Fedora Update System 2011-03-25 15:26:55 EDT
erlang-basho_stats-1.0.1-1.fc14 has been pushed to the Fedora 14 stable repository.
Comment 10 Fedora Update System 2011-03-28 13:26:53 EDT
erlang-basho_stats-1.0.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.